Subject: Predicted in The sacred book Of revelation, obama's deadly curse

From: "Survive End Days" <[email-masked]>
Date: Fri, 18 Sep 2015 08:00:57 -0700

Predicted in The sacred book Of revelation, obama's deadly curse